Subject: Re: [PATCH] gitweb: The "Owner" column can be hidden

From: Jakub Narebski <[email-masked]>
Date: Wed, 31 Mar 2010 19:43:11 +0200

On Wed, 31 Mar 2010, Jan Stępień wrote:
> On Wed, 31 Mar 2010 03:28:24 -0700 (PDT)
> Jakub Narebski <[email-masked]> wrote:
> > Jan Stępień  <[email-masked]> writes:
> > 
> > > This commit adds $show_owner_column configuration variable which allows
> > > to hide the project list "Owner" column if desired.
> > >
> > 
> > This commit message is a bit lacking, in that it does not describe
> > *why* one would want to hide "Owner" column in projects list page.
> > It is not described either why "Owner" column is unique among all
> > other columns, in that it is the only column that can be hidden.
> > 
> > Besides for completeness you might want to hide "Owner" row in project
> > summary page.
> 
> The reason why I think gitweb should allow hiding the "Owner" row are
> situations when its used for displaying a single person's repositories.
> In such situation repeating the owner's name in each row may be
> unnecessary in one's point of view and an option for hiding the whole
> column could be a solution.

Such description should be put in the commit message.

By the way it follows from the above descriptions that one might want
to hide (not show) "Owner" column in projects list page, because it is
repetitous and doesn't give much information, but retain "Owner" field
(row) in the projects summary page.
 
> > > Signed-off-by: Jan Stępień <[email-masked]>
> > > ---
> > >  gitweb/gitweb.perl |    9 ++++++---
> > >  1 files changed, 6 insertions(+), 3 deletions(-)
> > 
> > While "Gitweb config file variables" section in gitweb/README does not
> > need to include _all_ gitweb configuration variables, you should thing
> > about it whether to include description of '$show_owner_column' (or
> > just '$show_owner') in gitweb/README, and whether to include note
> > about this variable in "Projects list file format" in this file.
> 
> I agree with you on adding it to the "Gitweb config file variables"
> section. On the other hand, I think that mentioning it in "Projects
> list file format" isn't necessary unless '$show_owner' would affect the
> way the projects list file would be parsed.

By the way, you might want to add description on *whe* one might want
to use $hide_owner / $omit_owner / $show_owner in gitweb/README, and
not only in commit message.
 
[...]
> > BTW. if it would hide owner everywhere, you might want to skip
> > generating / reading projects owners.
> > 
> 
> Broadening the scope of this variable and hiding owner information also
> on the project info page is more than I initially thought of, but it
> seems like a good idea. In this case I'll add skipping owner generation
> to the next version of the patch.

Well, you can always leave it for later commit... but I think that
generating data one would not use is a bit wasteful.

-- 
Jakub Narębski
Poland